Package org.optaplanner.core.impl.localsearch

## Class DefaultLocalSearchPhaseFactory<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.AbstractPhaseFactory<Solution_,​LocalSearchPhaseConfig>
  - - org.optaplanner.core.impl.localsearch.DefaultLocalSearchPhaseFactory<Solution_>

- All Implemented Interfaces:
    `PhaseFactory<Solution_>`

      public class DefaultLocalSearchPhaseFactory<Solution_>
      extends AbstractPhaseFactory<Solution_,​LocalSearchPhaseConfig>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.AbstractPhaseFactory

      `phaseConfig`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultLocalSearchPhaseFactory​(LocalSearchPhaseConfig phaseConfig)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Acceptor<Solution_>` | `buildAcceptor​(HeuristicConfigPolicy<Solution_> configPolicy)` |
    `protected LocalSearchForager<Solution_>` | `buildForager​(HeuristicConfigPolicy<Solution_> configPolicy)` |
    `protected MoveSelector<Solution_>` | `buildMoveSelector​(HeuristicConfigPolicy<Solution_> configPolicy)` |
    `LocalSearchPhase<Solution_>` | `buildPhase​(int phaseIndex, HeuristicConfigPolicy<Solution_> solverConfigPolicy, BestSolutionRecaller<Solution_> bestSolutionRecaller, Termination<Solution_> solverTermination)` |

    - ### Methods inherited from class org.optaplanner.core.impl.phase.AbstractPhaseFactory

      `buildPhaseTermination`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLocalSearchPhaseFactory

          public DefaultLocalSearchPhaseFactory​(LocalSearchPhaseConfig phaseConfig)

  - ### Method Detail

    - #### buildPhase

          public LocalSearchPhase<Solution_> buildPhase​(int phaseIndex,
                                                        HeuristicConfigPolicy<Solution_> solverConfigPolicy,
                                                        BestSolutionRecaller<Solution_> bestSolutionRecaller,
                                                        Termination<Solution_> solverTermination)

    - #### buildAcceptor

          protected Acceptor<Solution_> buildAcceptor​(HeuristicConfigPolicy<Solution_> configPolicy)

    - #### buildForager

          protected LocalSearchForager<Solution_> buildForager​(HeuristicConfigPolicy<Solution_> configPolicy)

    - #### buildMoveSelector

          protected MoveSelector<Solution_> buildMoveSelector​(HeuristicConfigPolicy<Solution_> configPolicy)